Bug Hunting Session
Bug 66868 - Implement digraph insertion, vim style
Summary: Implement digraph insertion, vim style
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-13 04:18 UTC by severoraz
Modified: 2017-12-12 11:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description severoraz 2013-07-13 04:18:18 UTC
Today I discovered an awesome feature in Vim I would so much like to have in LibreOffice, and I bet any other person who uses greek letters sometimes, e.g. in scientific papers.

In vim, there are more than 2000 characters that you can enter by logical or at least easy to remember 2 character combinations, after activating the digraph insert mode. That is, you press a keyboard shortcut (Control+K in vim) and then the next 2 characters you enter will be interpreted as a digraph, or a 2-character combination. If the digraph exists, the characters you entered will be converted to the special character matched, otherwise the characters are deleted.

For example, pressing Control+K (to enter digraph mode) and then a: will insert in the text body the ä character (latin small letter a with diaeresis). As another example, the digraph for any greek letter is the latin version of the letter and an asterisk, e.g. a* yields α (greek small letter alpha).

A visual hint can be displayed to let the user know he is entering a digraph, like changing the character's color temporarily, or perhaps a dialog could appear with a textbox and ambitiously a dropdown menu to autocomplete digraphs.
Comment 1 Xisco Faulí 2017-03-02 10:14:06 UTC Comment hidden (obsolete, spam)
Comment 2 QA Administrators 2017-08-30 19:26:54 UTC Comment hidden (obsolete, spam)
Comment 3 severoraz 2017-08-31 07:38:16 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2017-09-09 14:14:24 UTC
Would Autotext be enough for you? https://help.libreoffice.org/Writer/Using_AutoText

I use it all the time in testing to insert dummy text: dt + F3
Comment 5 Xisco Faulí 2017-12-12 11:01:47 UTC
(In reply to Buovjaga from comment #4)
> Would Autotext be enough for you?
> https://help.libreoffice.org/Writer/Using_AutoText
> 
> I use it all the time in testing to insert dummy text: dt + F3

I agree.
Closing as RESOLVED WONTFIX